Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRXAxisFormat

All Known Subinterfaces:
  JRBubblePlot, JRScatterPlot

All Known Implementing Classes:
  JRBaseBubblePlot, JRBaseScatterPlot, JRDesignBubblePlot, JRDesignScatterPlot, JRFillBubblePlot, JRFillScatterPlot

    public interface JRXAxisFormat

Version:
  $Id: JRXAxisFormat.java 3179 2009-10-30 10:03:01Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.awt.Color` | `getOwnXAxisLabelColor()`
`java.awt.Color` | `getOwnXAxisLineColor()`
`java.awt.Color` | `getOwnXAxisTickLabelColor()`
`java.awt.Color` | `getXAxisLabelColor()`
`JRFont` | `getXAxisLabelFont()`
`java.awt.Color` | `getXAxisLineColor()`
`java.awt.Color` | `getXAxisTickLabelColor()`
`JRFont` | `getXAxisTickLabelFont()`
`java.lang.String` | `getXAxisTickLabelMask()`
`java.lang.Boolean` | `getXAxisVerticalTickLabels()`

Method Detail

### getXAxisLabelFont

    JRFont getXAxisLabelFont()

### getXAxisLabelColor

    java.awt.Color getXAxisLabelColor()

### getOwnXAxisLabelColor

    java.awt.Color getOwnXAxisLabelColor()

### getXAxisTickLabelFont

    JRFont getXAxisTickLabelFont()

### getXAxisTickLabelColor

    java.awt.Color getXAxisTickLabelColor()

### getOwnXAxisTickLabelColor

    java.awt.Color getOwnXAxisTickLabelColor()

### getXAxisTickLabelMask

    java.lang.String getXAxisTickLabelMask()

### getXAxisVerticalTickLabels

    java.lang.Boolean getXAxisVerticalTickLabels()

### getXAxisLineColor

    java.awt.Color getXAxisLineColor()

### getOwnXAxisLineColor

    java.awt.Color getOwnXAxisLineColor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com